GearmanJob::unique
GearmanJob::workload
GearmanJob
PHP Manual

# GearmanJob::warning

(PECL gearman <= 0.5.0)

GearmanJob::warning — Send a warning (deprecated)

### Description

public bool GearmanJob::warning ( string `$warning` )

Sends a warning for this job while it is running.

> Note: This method has been replaced by GearmanJob::sendWarning in the 0.6.0 release of the Gearman extension.

### Parameters

`warning`

  A warning messages.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- GearmanJob::sendComplete - Send the result and complete status
- GearmanJob::sendException - Send exception for running job (exception)
- GearmanJob::sendFail - Send fail status

GearmanJob::unique
GearmanJob::workload
GearmanJob
PHP Manual